<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:padding="12dp">

    <ImageView
        android:id="@+id/iv_header"
        android:layout_width="36dp"
        android:layout_height="36dp"
        android:layout_centerVertical="true"
        android:src="@drawable/im_ico_default_avatar"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <LinearLayout
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginEnd="8dp"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintLeft_toRightOf="@id/iv_header"
        app:layout_constraintRight_toLeftOf="@id/iv_right"
        app:layout_constraintTop_toTopOf="parent">

        <RelativeLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@drawable/im_custom_message_round_white_6dp_bg"
            android:padding="8dp">

            <TextView
                android:id="@+id/more_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="4dp"
                android:layout_marginLeft="4dp"
                android:layout_marginRight="4dp"
                android:textColor="@color/im_color_242424"
                android:textSize="@dimen/im_text_size_17"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="请问是发生了什么事多选）？" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/tv_more_list"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/more_title"
                android:layout_gravity="center_horizontal"
                android:orientation="vertical"
                app:layoutManager="androidx.recyclerview.widget.GridLayoutManager"
                tools:itemCount="6"
                tools:listitem="@layout/left_one_check_layout_item"
                tools:spanCount="2"
                tools:visibility="visible" />

            <TextView
                android:layout_marginBottom="4dp"
                android:layout_marginRight="4dp"
                android:id="@+id/tv_more_define"
                android:layout_width="110dp"
                android:layout_height="wrap_content"
                android:layout_below="@id/tv_more_list"
                android:layout_marginTop="16dp"
                android:background="@drawable/im_background_18dp_ebebeb"
                android:gravity="center"
                android:layout_alignParentRight="true"
                android:paddingTop="@dimen/platform_dp_8"
                android:paddingBottom="@dimen/platform_dp_8"
                android:text="确定"
                android:textColor="@color/white"
                android:textSize="@dimen/im_text_size_15"
                tools:visibility="visible" />

        </RelativeLayout>
    </LinearLayout>

    <View
        android:id="@+id/iv_right"
        android:layout_width="36dp"
        android:layout_height="36dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>